mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
From: Gregory.Dietsche@cuw.edu
To: julia@diku.dk, mmarek@suse.cz
Cc: rdunlap@xenotime.net, Gilles.Muller@lip6.fr,
	npalix.work@gmail.com, cocci@diku.dk, linux-doc@vger.kernel.org,
	linux-kernel@vger.kernel.org,
	Greg Dietsche <Gregory.Dietsche@cuw.edu>
Subject: [RESEND 1/2] coccicheck: add M= option to control which dir is processed
Date: Sat,  5 Nov 2011 20:59:43 -0500	[thread overview]
Message-ID: <1320544784-24576-2-git-send-email-Gregory.Dietsche@cuw.edu> (raw)
In-Reply-To: <1320544784-24576-1-git-send-email-Gregory.Dietsche@cuw.edu>

From: Greg Dietsche <Gregory.Dietsche@cuw.edu>

Examples:
	make coccicheck M=drivers/net/wireless/
	make coccicheck SUBDIRS=drivers/net/wireless/

Version 2:
	fix patch file names when using M=
	tell coccinelle where the include files are

Version 3:
	Add second include option to support out of tree development
	Fix error message

Signed-off-by: Greg Dietsche <Gregory.Dietsche@cuw.edu>
---
 scripts/coccicheck |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

diff --git a/scripts/coccicheck b/scripts/coccicheck
index 1bb1a1b..3c27764 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -9,14 +9,23 @@ if [ "$C" = "1" -o "$C" = "2" ]; then
 #    FLAGS="-ignore_unknown_options -very_quiet"
 #    OPTIONS=$*
 
-# Workaround for Coccinelle < 0.2.3
-    FLAGS="-I $srctree/include -very_quiet"
-    shift $(( $# - 1 ))
-    OPTIONS=$1
+    if [ "$KBUILD_EXTMOD" = "" ] ; then
+        # Workaround for Coccinelle < 0.2.3
+        FLAGS="-I $srctree/include -very_quiet"
+        shift $(( $# - 1 ))
+        OPTIONS=$1
+    else
+	echo M= is not currently supported when C=1 or C=2
+	exit 1
+    fi
 else
     ONLINE=0
     FLAGS="-very_quiet"
-    OPTIONS="-dir $srctree"
+    if [ "$KBUILD_EXTMOD" = "" ] ; then
+        OPTIONS="-dir $srctree"
+    else
+        OPTIONS="-dir $KBUILD_EXTMOD -patch $srctree -I $srctree/include -I $KBUILD_EXTMOD/include"
+    fi
 fi
 
 if [ ! -x "$SPATCH" ]; then
-- 
1.7.6.4


  reply	other threads:[~2011-11-06  2:43 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-11-06  1:59 [RESEND 0/2] coccicheck: Add M= option Gregory.Dietsche
2011-11-06  1:59 ` Gregory.Dietsche [this message]
2011-11-06 18:17   ` [RESEND 1/2] coccicheck: add M= option to control which dir is processed Julia Lawall
2011-11-06  1:59 ` [RESEND 2/2] coccinelle.txt: update documentation to include M= option Gregory.Dietsche
2011-11-06 18:17   ` Julia Lawall
2012-01-14 21:27 ` [RESEND 0/2] coccicheck: Add " Michal Marek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1320544784-24576-2-git-send-email-Gregory.Dietsche@cuw.edu \
    --to=gregory.dietsche@cuw.edu \
    --cc=Gilles.Muller@lip6.fr \
    --cc=cocci@diku.dk \
    --cc=julia@diku.dk \
    --cc=linux-doc@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mmarek@suse.cz \
    --cc=npalix.work@gmail.com \
    --cc=rdunlap@xenotime.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®